#version 330

layout(location = 0) in vec3 aPosition;
layout(location = 1) in vec2 aLife;
layout(location = 2) in vec3 aTransform;

out VS_OUT {
	vec3 position;
	vec2 life;
	vec3 transform;
} vs_out;

void main() {
	vs_out.position = aPosition;
	vs_out.life = aLife;
	vs_out.transform = aTransform;
}