#version 330

layout(location = 0) in vec3 aPosition;
layout(location = 1) in vec2 aLife;
layout(location = 2) in vec3 aTransform;
layout(location = 3) in vec3 aVelocity;

out VS_OUT{
	vec3 position;
	vec2 life;
	vec3 transform;
	vec3 velocity;
} vs_out;

void main() {
	vs_out.position = aPosition;
	vs_out.life = aLife;
	vs_out.transform = aTransform;
	vs_out.velocity = aVelocity;
}