#version 330

layout(location = 0) out vec4 outColor;

in VS_OUT{
	vec2 uvs[11];
} fs_in;

uniform sampler2D uTexture;

void main() {
	vec4 color = vec4(0, 0, 0, 0);
	color += texture(uTexture, fs_in.uvs[0]) * 0.0093;
	color += texture(uTexture, fs_in.uvs[1]) * 0.028002;
	color += texture(uTexture, fs_in.uvs[2]) * 0.065984;
	color += texture(uTexture, fs_in.uvs[3]) * 0.121703;
	color += texture(uTexture, fs_in.uvs[4]) * 0.175713;
	color += texture(uTexture, fs_in.uvs[5]) * 0.198596;
	color += texture(uTexture, fs_in.uvs[6]) * 0.175713;
	color += texture(uTexture, fs_in.uvs[7]) * 0.121703;
	color += texture(uTexture, fs_in.uvs[8]) * 0.065984;
	color += texture(uTexture, fs_in.uvs[9]) * 0.028002;
	color += texture(uTexture, fs_in.uvs[10]) * 0.0093;

	outColor = color;
}