#version 330

layout(location = 0) out vec4 outColor;

in VS_OUT{
	vec2 uv;
} fs_in;

uniform sampler2D uTexture1;
uniform sampler2D uTexture2;

void main() {
	outColor = 
		texture2D(uTexture1, fs_in.uv) + 
		texture2D(uTexture2, fs_in.uv);
}