#version 330

layout(location = 0) out vec4 outColor;

in VS_OUT{
	vec2 uv;
} fs_in;

uniform sampler2D uTexture;
uniform float uIntensity = 1.0;

void main() {
	outColor = texture2D(uTexture, fs_in.uv) * uIntensity;
}