#version 330

layout(location = 0) in vec2 aPosition;

out VS_OUT{
	vec2 uv;
} vs_out;

uniform vec4 uTransform;

void main() {
	vs_out.uv = (aPosition + 1.0) * 0.5;
	gl_Position = vec4(uTransform.xy + aPosition * uTransform.zw, 0, 1);
}