#version 330

layout (location = 0) in vec3 aPosition;

out VS_OUT{
	vec3 uv;
} fs_in;

uniform mat4 uMVP;
uniform mat4 uModelMatrix;
uniform vec4 uClipPlane;

void main() {
	fs_in.uv = aPosition;

	gl_ClipDistance[0] = dot(uModelMatrix * vec4(aPosition, 1.0), uClipPlane);

	gl_Position = uMVP * vec4(aPosition, 1.0);
}